## blktap-dkms 2.0.90

=== Makefile ===
obj-m := blktap.o

blktap-objs := control.o ring.o device.o request.o sysfs.o

=== debian/changelog ===
blktap-dkms (2.0.90-1) unstable; urgency=low

  * Initial release (Closes: #648691)

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2011 12:56:27 +0400

=== debian/control ===
Source: blktap-dkms
Section: kernel
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), dkms
Vcs-Browser: http://git.debian.org/?p=pkg-xen/blktap-dkms.git
Vcs-Git: http://git.debian.org/git/pkg-xen/blktap-dkms.git
Homepage: http://www.xen.org/

Package: blktap-dkms
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev, linux-headers-generic [i386 amd64] | linux-headers
Description: Xen API blktap kernel component DKMS package
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems. This package is part
 of it. It implements the userland part of the blktap driver.
 .
 Virtual Hard Disk (VHD) is a file format standard which maps logical hard disk
 contents to a physical disk image format, which can then be more efficiently
 stored in a variety of different storage types, such as file systems or
 logical volumes.
 .
 VHDs are container files storing block metadata alongside a virtual disk's
 contents, in a single disk image. The metadata enables advanced storage
 backend capabilities, such as thin provisioning, disk image snapshotting, and
 coalescing of differencing disks.
  .
 Libvhd is a library to access VHD format metadata. It provides disk image
 initialization, inspection and manipulation to both VHD user utilities and
 the VHD disk driver in Blktap.
 .
 This package contains the source for the blktap kernel module. It
 includes DKMS support so that installation of this package will
 result in a working blktap kernel module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with dkms

# we don't actually build/clean the source here, it's dkms
override_dh_auto_clean:

override_dh_auto_build:

## blktap-dkms 2.0.91

=== debian/changelog ===
blktap-dkms (2.0.91-1) unstable; urgency=low

  * New upstream release fixing:
  -  We weren't including <linux/module.h> explicitly, and presumably something
  has changed meaning that it doesn't get included transitively from something
  else. Fix this by including it in blktap.h

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Dec 2011 05:46:01 +0000

=== debian/watch ===
# watch control file for uscan
version=3
http://githubredir.debian.net/github/xen-org/blktap-dkms (.+).tar.gz

## blktap-dkms 2.0.93

=== debian/changelog ===
blktap-dkms (2.0.93-0ubuntu4) saucy; urgency=low

  * Add armhf to the Architecture list, to make bkltap-utils installable.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 19 Sep 2013 14:01:04 -0600

blktap-dkms (2.0.93-0ubuntu3) raring; urgency=low

  * Drop the dependency on linux-headers, not actually needed and pulls
    wrong headers sometimes.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 22 Mar 2013 14:02:32 +0400

blktap-dkms (2.0.93-0ubuntu2) raring; urgency=low

  * Fix compilation for kernels 3.7+

 -- Vincent Bernardoff <vincent.bernardoff@citrix.com>  Mon, 04 Mar 2013 19:03:50 +0000

blktap-dkms (2.0.93-0ubuntu1) quantal; urgency=low

  * New upstream release which fixes compatiblity with linux 3.5
    kernel (LP: #1028135).

 -- James Page <james.page@ubuntu.com>  Fri, 07 Sep 2012 17:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blktap-dkms
 Section: kernel
 Priority: optional
-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), dkms
@@ -10,8 +11,8 @@
 Homepage: http://www.xen.org/
 
 Package: blktap-dkms
-Architecture: i386 amd64
-Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev, linux-headers-generic [i386 amd64] | linux-headers
+Architecture: i386 amd64 armhf
+Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev
 Description: Xen API blktap kernel component DKMS package
  The Xen Cloud Platform (XCP) is an open source enterprise-ready server
  virtualization and cloud computing platform, delivering the Xen Hypervisor

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION  := $(shell dpkg-parsechangelog | grep Version: | cut -d" " -f2 | cut -d"-" -f1)
UPSTREAM_FOLDER := blktap-dkms-$(UPSTREAM_VERSION)
TEMP_BUILD_UP := debian/build-upstream-tarball
TEMP_UP_FOLDER := $(TEMP_BUILD_UP)/$(UPSTREAM_FOLDER)
ORIG_TAR_GZ_NAME := blktap-dkms_$(UPSTREAM_VERSION).orig.tar.gz
FILE_LIST := $(shell ls | grep -v debian)

gen-upstream-tarball:
	@echo "Building: "$(ORIG_TAR_GZ_NAME)
	mkdir -p $(TEMP_UP_FOLDER)
	cp -auxf $(FILE_LIST) $(TEMP_UP_FOLDER)
	cd $(TEMP_BUILD_UP) && tar -cvzf $(CURDIR)/../$(ORIG_TAR_GZ_NAME) $(UPSTREAM_FOLDER) && cd $(CURDIR)
	mkdir -p ../build-area
	cp ../$(ORIG_TAR_GZ_NAME) ../build-area
	rm -rf $(TEMP_BUILD_UP)

%:
	dh "$@" --with dkms

# we don't actually build/clean the source here, it's dkms
override_dh_auto_clean:
	rm -f debian/blktap-dkms.install

override_dh_auto_build:
	sed 's/@UPSTREAM_VERSION@/'$(UPSTREAM_VERSION)/ debian/blktap-dkms.install.in >debian/blktap-dkms.install
